/*Defaults Rule Sets*/
#header, #content, #footer{
    background-color: #373737;
    color: #FeFFF7;
    font-family: "Sunflower", sans-serif;
    box-sizing: border-box;
    
    overflow-x: hidden;
    text-align: center;
}
.preload *{
    -webkit-transition: none !important;
    -moz-transition: none !important;
    -ms-transition: none !important;
    -o-transition: none !important;
}
img, .logo{
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
         -o-user-select: none;
            user-select: none;
}
img{
    max-width: 100%;
    max-height: 100%;
    
    pointer-events: none;
}
a{
    text-decoration: none;
    color: #FeFFF7;
}
a:active, a:focus{
    color: #FeFFF7;
    
    outline: 0;
    border: none;
    -moz-outline-style: none;
}
h1{
    -webkit-text-stoke: 1px black;
    text-shadow:
       3px 3px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
}
p{
    font-family: "Montserrat", sans-serif;
    font-size: 1.2rem;
    text-align: left;
    
    -webkit-text-stroke: none;
    text-shadow: none;
}
.span-red-text{
    color: #FF1814;
}
.button, .button-selected{
    display: inline-block;
    
    margin: 20px 0 0 0;
    padding: 10px 5px 10px 5px;
    
    font-size: 2rem;
    font-weight: 700;
    
    background-color: #ff1814;
    color: #fefff7;
    
    -webkit-text-stroke: 1px black;
    text-shadow:
       1px 1px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
    
    transition: 0.3s;
    

    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);

      -moz-user-select: none;
    -khtml-user-select: none;
   -webkit-user-select: none;
       -ms-user-select: none;
           user-select: none;
    
    box-shadow: 0 0 20px #000;
}
.button:hover{
    transform: scale(1.1);
}

/*Header Rule Sets*/
.header{
    display: flex;
    flex: 1;
    justify-content: space-between;
    
    position: fixed;
    z-index: 1000;
    overflow: hidden;
    
    top: 0;
    left: 0;
    margin: 0;
    
    width: 100%;
    height: 4.8rem;
    
    background-color: #2b282d;
    box-shadow: 0 0 10px black;
    
            transition: all 0.4s ease-in-out;
    -webkit-transition: all 0.4s ease-in-out;
         -o-transition: all 0.4s ease-in-out;
       -moz-transition: all 0.4s ease-in-out;
}

#header .logo{
    display: inline-block;
    margin: auto 0 auto 4rem;
    
    transition: all 0.4s ease-in-out;
    
    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);
}
#header .logo-image{
    display: inline-block;
    vertical-align: middle;

    background-image: url("../images/simple_logo.png");
    background-size: cover;
    
    width: 55px;
    height: 55px;
    
    margin: 0 10px 0 0;
    
    transition: inherit;
}
#header .logo-text{
    display: inline-block;
    vertical-align: middle;
    
    margin: 8px 0 0 0;
    
    font-weight: 700;
    font-size: 3rem;
    color: #fefff7;
    
    -webkit-text-stroke: 1px black;
    
    transition: inherit;
    user-select: none;
}
.nav-menu{
    display: flex;
    margin: auto 0 auto 10px;
    
    height: 100%;
    
    padding: 0 2rem 0 0;
    align-self: flex-end;
    align-items: stretch;
}
.nav-menu li a{
    position: relative;
    z-index: 101;
    overflow: hidden;
    
    margin: auto 0px auto 0px;
    padding: 0 20px 0 20px;
    
    height: 100%;
    
    font-weight: 700;
    
    background: inherit;

    box-shadow: none;
}
.nav-title{
    display: block;
    
    position: relative;
    z-index: 103;
    
    margin: 1.75rem auto;
    
    font-size: 1.45rem;
    
            transition: all 0.4s ease-in-out;
    -webkit-transition: all 0.4s ease-in-out;
         -o-transition: all 0.4s ease-in-out;
       -moz-transition: all 0.4s ease-in-out;
}
.nav-button-slide{
    position: absolute;
    z-index: 102;
    left: 0;
    right: 0;
    bottom: 100%;
    overflow: hidden;

    width: 100%;
    height: 0;
    
    background-color: #4e4851;
    transition: 0.1s ease;
}
.nav-menu .button-selected{
    background-color: #FF1814;
}
.nav-menu .button:hover{
    -webkit-transform: skew(-10deg);
       -moz-transform: skew(-10deg);
        -ms-transform: skew(-10deg);
         -o-transform: skew(-10deg);
            transform: skew(-10deg);
}
.button-selected .nav-button-slide{
    background-color: #d61815;
}
.button:hover .nav-button-slide, .button-selected:hover .nav-button-slide{
    bottom: 0;
    height: 100%;
}

/*Shrinking Header Classes*/
.header-shrink{
    height: 2.8rem;
}
.nav-button-shrink{
    margin: 0.8rem auto;
    font-size: 1.3rem;
}
#header .logo-text-shrink{
    margin-top: 4px;
    font-size: 2.4rem;
}
#header .logo-image-shrink{
    width: 30px;
    height: 30px;
}
